{
  "extends": [
    "stylelint-config-standard",
    "stylelint-config-styled-components"
  ],
  "processors": ["stylelint-processor-styled-components"],
  "plugins": [
    "stylelint-order"
  ],
  "rules": {
    "at-rule-no-unknown": [true, {
      ignoreAtRules: ["function", "if", "mixin", "include", "each"]
    }],
    "order/properties-order": [
      {
        properties: [
          "content",
          "counter-reset",
          "counter-increment"
        ]
      },
      {
        properties: [
          "position",
          "top",
          "right",
          "bottom",
          "left",
          "z-index",
          "float",
          "clear"
        ]
      },
      {
        properties: [
          "overflow",
          "overflow-x",
          "overflow-y",
          "overflow-wrap",
          "clip",
          "perspective",
          "perspective-origin",
          "visibility",
          "backface-visibility",
          "opacity",
          "filter",
          "display"
        ]
      },
      {
        properties: [
          "flex",
          "flex-grow",
          "flex-shrink",
          "flex-basis",
          "flex-direction",
          "flex-flow",
          "flex-wrap",
          "justify-content",
          "align-content",
          "align-items",
          "align-self",
          "order"
        ]
      },
      {
        properties: [
          "grid",
          "grid-template",
          "grid-template-rows",
          "grid-template-columns",
          "grid-template-areas",
          "grid-auto-rows",
          "grid-auto-columns",
          "grid-auto-flow",
          "grid-area",
          "grid-row",
          "grid-column",
          "grid-row-start",
          "grid-column-start",
          "grid-row-end",
          "grid-column-end",
          "grid-gap",
          "grid-row-gap",
          "grid-column-gap"
        ]
      },
      {
        properties: [
          "columns",
          "column-width",
          "column-count",
          "column-gap",
          "column-span",
          "column-fill",
          "column-rule",
          "column-rule-width",
          "column-rule-style",
          "column-rule-color"
        ]
      },
      {
        properties: [
          "width",
          "min-width",
          "max-width",
          "height",
          "min-height",
          "max-height",
          "box-sizing",
          "box-shadow",
          "box-decoration-break",
          "resize",
          "margin",
          "margin-top",
          "margin-right",
          "margin-bottom",
          "margin-left",
          "outline",
          "outline-width",
          "outline-style",
          "outline-color",
          "outline-offset",
          "border",
          "border-width",
          "border-style",
          "border-color",
          "border-spacing",
          "border-collapse",
          "border-radius",
          "border-top-right-radius",
          "border-bottom-right-radius",
          "border-bottom-left-radius",
          "border-top-left-radius",
          "border-image",
          "border-image-source",
          "border-image-slice",
          "border-image-width",
          "border-image-outset",
          "border-image-repeat",
          "border-top",
          "border-top-width",
          "border-top-style",
          "border-top-color",
          "border-right",
          "border-right-width",
          "border-right-style",
          "border-right-color",
          "border-bottom",
          "border-bottom-width",
          "border-bottom-style",
          "border-bottom-color",
          "border-left",
          "border-left-width",
          "border-left-style",
          "border-left-color",
          "padding",
          "padding-top",
          "padding-right",
          "padding-bottom",
          "padding-left",
          "background",
          "background-color",
          "background-image",
          "background-position",
          "background-size",
          "background-repeat",
          "background-origin",
          "background-clip",
          "background-attachment",
          "background-blend-mode",
          "mix-blend-mode"
        ]
      },
      {
        properties: [
          "list-style",
          "list-style-type",
          "list-style-position",
          "list-style-image",
          "quotes"
        ]
      },
      {
        properties: [
          "writing-mode",
          "direction",
          "unicode-bidi",
          "color",
          "font",
          "font-style",
          "font-variant",
          "font-variant-alternates",
          "font-variant-caps",
          "font-variant-east-asian",
          "font-variant-ligatures",
          "font-variant-numeric",
          "font-variant-position",
          "font-weight",
          "font-size",
          "font-family",
          "font-feature-settings",
          "font-kerning",
          "font-language-override",
          "font-size-adjust",
          "font-stretch",
          "font-synthesis",
          "line-height",
          "line-break",
          "text-align",
          "text-align-last",
          "text-combine-upright",
          "text-decoration",
          "text-decoration-line",
          "text-decoration-color",
          "text-decoration-style",
          "text-indent",
          "text-justify",
          "text-orientation",
          "text-overflow",
          "text-shadow",
          "text-transform",
          "text-underline-position",
          "widows",
          "orphans",
          "word-wrap",
          "word-spacing",
          "word-break",
          "letter-spacing",
          "white-space",
          "hyphens",
          "hanging-punctuation",
          "tab-size"
        ]
      },
      {
        properties: [
          "transition",
          "transition-property",
          "transition-duration",
          "transition-timing-function",
          "transition-delay",
          "transform",
          "transform-origin",
          "transform-style",
          "animation",
          "animation-name",
          "animation-duration",
          "animation-timing-function",
          "animation-delay",
          "animation-iteration-count",
          "animation-direction",
          "animation-fill-mode",
          "animation-play-state"
        ]
      },
      {
        properties: [
          "break-after",
          "break-before",
          "break-inside",
          "page-break-after",
          "page-break-before",
          "page-break-inside",
          "widow"
        ]
      },
      {
        properties: [
          "user-select",
          "pointer-events",
          "cursor"
        ]
      },
      {
        properties: [
          "vertical-align",
          "isolation",
          "table-layout",
          "caption-side",
          "empty-cells",
          "caret-color",
          "image-rendering",
          "object-fit",
          "object-position",
          "all"
        ]
      },
    ]
  }
}